Bug 237783 - Wrong init script
Wrong init script
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: at (Show other bugs)
4.6
All Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
:
Depends On: 237782
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 09:29 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 09:16:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-25 09:29:44 EDT
+++ This bug was initially created as a clone of Bug #237782 +++

Description of problem:
The script ends with error code 0 even if the daemon is not run. It also does
not correctly invoke the status command. Problem is in following part:
test -x /usr/sbin/atd || exit 0

There are also several errors in return codes.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. Remove executable permissions from binary
2. service atd start/service atd status
3.
  
Actual results:
exit code 0/exit code 0

Expected results:
non-zero exit code defined in our guidelines/current status of the service

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd
Comment 1 Marcela Mašláňová 2009-02-26 09:16:59 EST
This won't be fixed in existing releases.

Note You need to log in before you can comment on or make changes to this bug.